>From 7d2a08dd94a96d37aa5ac821fbb963ee03798f0b Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Wed, 7 Dec 2016 17:13:58 +0200
Subject: [PATCH 10/11] No need to disallow SCRAM with db_user_namespace.

---
 src/backend/libpq/hba.c | 13 -------------
 1 file changed, 13 deletions(-)

diff --git a/src/backend/libpq/hba.c b/src/backend/libpq/hba.c
index 6fe79d7..f1e9a38 100644
--- a/src/backend/libpq/hba.c
+++ b/src/backend/libpq/hba.c
@@ -1183,19 +1183,6 @@ parse_hba_line(List *line, int line_num, char *raw_line)
 		}
 		parsedline->auth_method = uaMD5;
 	}
-	else if (strcmp(token->string, "scram") == 0)
-	{
-		if (Db_user_namespace)
-		{
-			ereport(LOG,
-					(errcode(ERRCODE_CONFIG_FILE_ERROR),
-					 errmsg("SCRAM authentication is not supported when \"db_user_namespace\" is enabled"),
-					 errcontext("line %d of configuration file \"%s\"",
-								line_num, HbaFileName)));
-			return NULL;
-		}
-		parsedline->auth_method = uaSASL;
-	}
 	else if (strcmp(token->string, "pam") == 0)
 #ifdef USE_PAM
 		parsedline->auth_method = uaPAM;
-- 
2.10.2

